CRONTAB(1)

NAME
crontab - install, edit, remove or list a user's crontab file

SYNOPSIS
crontab [ filename ]
crontab -e [ username ]
crontab -l [ username ]
crontab -r [ username ]

DESCRIPTION

crontab copies the specified file, or the standard input if no file is specified, into a directory that holds all users' crontab files. A user's crontab file lists commands that are to be executed on behalf of that user at specified times on specified dates; the format of these files is described in crontab(5).

If the file /var/spool/cron/cron.allow exists, only users whose username appears in it can use crontab. If that file does not exist, however, crontab checks the /var/spool/cron/cron.deny file to determine if the user should be denied the use of crontab. If neither file exists, only the super-user is allowed to submit a crontab job. If cron.allow does not exist and cron.deny exists and is empty, global usage is permitted. The allow/deny files consist of one user name per line.

OPTIONS

-e  Make a copy of the current user's crontab file, or create an empty file if it does not exist, and edit that file. The vi(1) editor will be used unless the environment variable VISUAL or EDITOR indicates an alternate editor. When editing is complete, install the file as the user's crontab file if it was modified. If a username is given, the specified user's crontab file is edited, rather than the current user's crontab file; this may only be done by the super-user.

-l  List the user's crontab file.

-r  Remove the current user's crontab file from the crontab directory. If a username is given, the specified user's crontab file is removed, rather than the current user's crontab file; this may only be done by the super-user.

FILES
/var/spool/cron
    main cron directory
/var/spool/cron/crontabs
    spool area
/var/spool/cron/cron.allow
    list of allowed users
/var/spool/cron/cron.deny
    list of denied users

SEE ALSO
sh(1), crontab(5), cron(8)

WARNINGS

If you inadvertently enter the crontab command with no argument, do not attempt to get out by typing CTRL-D. This removes all entries in your crontab file. Instead, exit by typing your interrupt character (normally CTRL-C).